/* eslint-disable no-underscore-dangle */
/* eslint-disable object-curly-newline */
/* eslint-disable no-param-reassign */
import Vue from 'vue';
import Vuex from 'vuex';

import * as types from './mutation-types';
import * as menu from '@/store/naf/menu';
import * as user from '@/store/naf/user';
import * as dict from '@lib/store/naf/dict';
import * as login from './login';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    naf: {
      namespaced: true,
      modules: {
        menu,
        dict,
        user,
      },
    },
    login,
  },
  state: {
    loading: false,
    platform: 'platform',
    name: null,
  },
  getters: {
    platform: state => state.login.platform,
    isAuthenticated: state => state.login.isAuthenticated,
    userinfo: state => state.login.userinfo,
    menuItems: state => state.naf.menu.items,
    roles: state => state.login.roles,
  },
  mutations: {
    [types.SHOW_LOADING](state) {
      state.loading = true;
    },
    [types.HIDE_LOADING](state) {
      state.loading = false;
    },
    [types.USER_INFO](state, { userinfo }) {
      state.userinfo = userinfo;
    },
    [types.PLATFORM_INIT](state, { name }) {
      state.name = name;
    },
  },
  actions: {
    async load({ commit, dispatch }) {
      commit(types.SHOW_LOADING);
      await dispatch('naf/menu/load');
      commit(types.HIDE_LOADING);
    },
  },
});
