import axios from 'axios';
const api = {
  taskList: '/api/xms/taskList',
  download: '/api/xms/task/download',
  logs: '/gaf/logs/page',
  domain: '/xms/domain/items',
};
export const state = () => ({
  items: [],
});

// actions
export const actions = {
  async taskList({ commit }, payload) {
    const token = sessionStorage.getItem('token');
    axios.defaults.headers.common.Authorization = token;
    const res = await axios.get(`${api.taskList}?userId=${payload.userId}&type=${payload.type}`);
    commit('taskList', res.data);
    return res;
  },
  async logs({ commit }, payload) {
    const res = await this.$axios.$post(api.logs, payload);
    return res;
  },
  async domains({ commit }) {
    const res = await this.$axios.$get(api.domain);
    return res;
  },
};

// mutations
export const mutations = {
  taskList(state, payload) {
    state.items = payload;
  },
};

export const namespaced = true;
