import Vue from 'vue';
import Router from 'vue-router';
import Home from './views/home.vue';

Vue.use(Router);

const router = new Router({
  mode: process.env.VUE_APP_ROUTER_MODE || 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      component: Home,
    },
    {
      path: '/user',
      component: () => import(/* webpackChunkName: "system_user" */ './views/user.vue'),
    },
    {
      path: '/dict',
      component: () => import(/* webpackChunkName: "system_dict" */ './views/dict.vue'),
    },
    {
      path: '/dept',
      component: () => import(/* webpackChunkName: "system_dept" */ './views/dept.vue'),
    },
    // {
    //   path: '/tag',
    //   component: () => import(/* webpackChunkName: "system_tag" */ './views/tag.vue'),
    // },
    {
      path: '/role',
      component: () => import(/* webpackChunkName: "system_role" */ './views/role.vue'),
    },
    {
      path: '/log',
      component: () => import(/* webpackChunkName: "system_log" */ './views/log.vue'),
    },
    {
      path: '/menu',
      component: () => import(/* webpackChunkName: "system_menu" */ './views/menu.vue'),
    },
  ],
});

export default router;
