import * as dict from '@lib/store/naf/dict';
import * as types from './.mutation';
import util from '@lib/utils/user-util';

export const modules = {
  naf: {
    namespaced: true,
    modules: {
      dict,
    },
  },
};
export const state = () => {
  return {
    loading: true,
    platform: 'master',
    userinfo: util.user,
  };
};

export const mutations = {
  [types.LOADED](state) {
    state.userinfo = util.user;
    state.loading = false;
  },
};
export const actions = {
  async init({ commit, dispatch }) {
    console.log('call init...');
    // 加载数据字典
    // await dispatch('naf/dict/load', 'role');
    await dispatch('naf/dict/load', 'xb');
    await dispatch('naf/dict/load', 'usage');
    await dispatch('naf/dict/load', 'status');
    commit(types.LOADED);
  },
};
export const getters = {
  userinfo: state => state.userinfo,
  platform: state => state.platform,
};
