import Vue from 'vue';
import App from './App.vue';
import router from './router';
// import store from './store';
import '@lib/plugins/meta';
import '@lib/plugins/axios';
import '@lib/plugins/check-res';
import '@lib/plugins/naf-dict';
import '@lib/plugins/naf-policy';
import '@lib/plugins/element';
import '@lib/plugins/power';
import { createStore } from '@lib/utils/store';
import '@lib/style/index.less';
import i18n from './i18n/index';

Vue.config.productionTip = false;

const store = createStore();
// Add this.$router into store actions/mutations
store.$router = router;

new Vue({
  router,
  store,
  i18n,
  render: h => h(App),
}).$mount('#app');
