const org = eval(process.env.VUE_APP_ORG_REGISTER || true);
const material = eval(process.env.VUE_APP_USER_MATERIAL || false);
export const fields = [
  {
    name: 'name',
    label: '姓名',
    placeholder: '',
    type: 'input',
    rules: [{ required: true, message: '请输入姓名', trigger: 'blur' }],
    editable: false,
  },
  {
    name: 'sex',
    label: '性别',
    placeholder: '',
    type: 'select',
    rules: [{ required: true, message: '请选择性别', trigger: 'blur' }],
    data: [
      { label: '男', value: '男' },
      { label: '女', value: '女' },
    ],
    editable: false,
  },
  {
    name: 'code',
    label: '用户编号',
    placeholder: '',
    type: 'input',
    rules: [
      {
        max: 32,
        message: '长度不能大于32个字符',
        trigger: 'blur',
      },
    ],
    editable: false,
  },
  {
    name: 'sfzh',
    label: '身份证号',
    placeholder: '',
    type: 'input',
    min: 18,
    rules: [
      {
        pattern: /^\d{17}(\d|X)$/i,
        message: '请输入有效的身份证号码',
        trigger: 'blur',
      },
    ],
    editable: false,
  },
  {
    name: 'jrzjh',
    label: '军官证号',
    placeholder: '',
    type: 'input',
    rules: [{ message: '请输入军官证号' }],
    editable: false,
    min: 18,
  },
  {
    name: 'bzkh',
    label: '保障卡号',
    placeholder: '',
    type: 'input',
    rules: [
      {
        required: true,
        message: '请输入保障卡号',
      },
      { message: '请输入保障卡号' },
    ],
    editable: false,
    min: 18,
  },
  {
    name: 'title',
    label: '职位',
    placeholder: '',
    type: 'input',
    editable: false,
  },
  {
    name: 'phone',
    label: '电话',
    placeholder: '',
    type: 'input',
    editable: false,
  },
  {
    name: 'addr',
    label: '地址',
    placeholder: '',
    type: 'input',
    editable: false,
  },
  {
    name: 'email',
    label: '邮箱',
    placeholder: '',
    type: 'input',
    editable: false,
  },
  {
    name: 'account',
    label: '帐号',
    placeholder: '',
    type: 'input',
    rules: [{ required: true, message: '请输入帐号' }],
    editable: false,
  },
  ...(org
    ? [
        {
          name: 'orgId',
          label: '机构',
          placeholder: '',
          type: 'cascader',
          editable: false,
        },
      ]
    : []),
  ...(!org
    ? [
        {
          name: 'remark',
          label: '机构',
          placeholder: '',
          type: 'input',
          editable: false,
          rules: [{ required: true, message: '请输入机构', trigger: 'blur' }],
        },
      ]
    : []),
  ...(material
    ? [
        {
          name: 'material',
          label: '审核信息',
        },
      ]
    : []),
];
export const operation = [
  // ['edit', '编辑', 'el-icon-edit'],
  ['delete', '删除', 'el-icon-delete', true],
];
export const credFields = [
  { name: 'type', label: '凭证类型', formatter: 'dict:cred' },
  { name: 'name', label: '凭证名称' },
];
