const req = process.env.VUE_APP_USERINFO_REQUIRED;
const rules = {
  sfzh: [
    {
      required: req == 'sfzh' ? true : false,
      type: 'string',
      pattern: /^\d{17}(\d|X)$/i,
      message: '请输入有效的身份证号码',
      trigger: 'blur',
      max: 18,
    },
  ],
  name: [
    {
      required: true,
      type: 'string',
      message: '请输入姓名',
    },
    {
      pattern: /^[\u4e00-\u9fa5_a-zA-Z0-9]+$/,
      message: '不能包含特殊字符和空格',
      trigger: 'blur',
    },
  ],
  usertype: [
    {
      required: true,
      type: 'string',
      message: '请选择用户类型',
    },
  ],
  sex: [
    {
      required: true,
      message: '请选择性别',
    },
  ],
  cred: [
    {
      required: true,
      message: '请输入帐号',
    },
    {
      pattern: /^[\u4e00-\u9fa5_a-zA-Z0-9]+$/,
      message: '不能包含特殊字符和空格',
      trigger: 'blur',
    },
  ],
  status: [
    {
      required: true,
      message: '请选择用户状态',
    },
  ],
  code: [{ max: 32, message: '长度不能超过32个字符', trigger: 'blur' }],
  bzkh: [
    { required: req == 'bzkh' ? true : false, min: 18, max: 18, message: '长度18个字符', trigger: 'blur' },
    {
      pattern: /^81/i,
      message: '请输入有效的保障卡号码',
      trigger: 'blur',
    },
  ],
  jrzjh: [{ required: req == 'jrzjh' ? true : false, max: 32, message: '长度不能超过32个字符', trigger: 'blur' }],
  email: [{ type: 'email', message: '请输入正确的邮箱地址', trigger: ['blur', 'change'] }],
  phone: [
    {
      type: 'string',
      pattern: /^\d{11}$/i,
      message: '请输入有效的手机号',
      trigger: 'blur',
      max: 11,
    },
  ],
  // 帐号密码
  account: [
    {
      required: true,
      message: '请输入帐号',
      trigger: 'blur',
    },
  ],
  secret: [
    { required: true, message: '请输入密码' },
    { min: 8, max: 32, message: '密码长度不小于8位', trigger: 'blur' },
  ],
  secretTow: [
    { required: true, message: '请输入确认密码' },
    { min: 8, max: 32, message: '密码长度不小于8位', trigger: 'blur' },
  ],
  acctstatus: [
    {
      required: true,
      type: 'string',
      message: '请选择状态',
    },
  ],
  certType: [
    {
      required: true,
      message: '请选择加密方式',
    },
  ],
  loginMode: [
    {
      required: true,
      message: '请选择登录方式',
    },
  ],
  credstatus: [
    {
      required: true,
      type: 'string',
      message: '请选择状态',
      trigger: 'blur',
    },
  ],
  creddata: [
    {
      required: true,
      type: 'string',
      message: '凭证数据不能为空',
    },
  ],
  credtype: [
    {
      required: true,
      type: 'string',
      message: '请选择凭证类型',
    },
  ],
  credname: [
    {
      required: true,
      type: 'string',
      message: '请输入凭证名称',
      trigger: 'blur',
    },
  ],
};
export default rules;
