import * as dict from '@lib/store/naf/dict';
import * as types from './.mutation';
import util from '@lib/utils/user-util';

export const modules = {
  naf: {
    namespaced: true,
    modules: {
      dict,
    },
  },
};
export const state = () => {
  return {
    loading: true,
    platform: 'platform',
    userinfo: util.user,
  };
};

export const mutations = {
  [types.LOADED](state) {
    state.userinfo = util.user;
    state.loading = false;
  },
};
export const actions = {
  async init({ commit, dispatch }) {
    console.log('call init...');
    // 加载数据字典
    const dicts = ['status', 'usage', 'xb', 'role', 'cred', 'device', 'reg', 'org', 'devtype', 'type', 'bool'];
    const excludes = (process.env.VUE_APP_DICT_EXCLUDES || '')
      .split(',')
      .map(p => p.trim())
      .filter(p => p.length > 0);
    console.debug('dict excludes:', excludes);
    await Promise.all(dicts.filter(p => !excludes.includes(p)).map(p => dispatch('naf/dict/load', p)));
    // await dispatch('naf/policy/policyList');
    commit(types.LOADED);
  },
};
export const getters = {
  userinfo: state => state.userinfo,
  platform: state => state.platform,
};
