// 生物特征采集代理
import assert from 'assert';
import * as types from '../.types.js';
import axios from 'axios';
const agentVar = process.env.VUE_APP_AGENT_VER || '1';
const baseUrl1 = 'http://127.0.0.1:18090/mw/agent/capture';
const baseUrl2 = 'http://127.0.0.1:18090/RegisterBois';
const getcert = 'http://127.0.0.1:18090/getcert';
// initial state
export const state = () => ({
  image: null, // 图片
  feature: null, // 特征值
});

// actions
export const actions = {
  async capture({ commit }, { type }) {
    // const type = agentVar == '1' ? 'fingerprint' : 'SDKJFINGERPRINTANDVEIN';
    const name = agentVar == '1' ? '模拟实现' : 'RegisterBois';
    const url = agentVar == '1' ? baseUrl1 : baseUrl2;
    const res = await axios.post(url, {
      name,
      type,
    });
    if (agentVar == '1') {
      const { data } = res.data;
      return { feature: data };
    } else {
      const { image, feature } = res.data;
      return { image, feature };
    }
  },
  async getukey({ commit }) {
    const res = await axios.post(getcert, { pwd: '111111' });
    if (res.data.respcode == '0') {
      const { signcert, enccert } = res.data;
      return { data: `${signcert}, ${enccert}` };
    }
  },
};

// mutations
export const mutations = {
  [types.LOADED](state, { image, feature }) {
    state.image = image;
    state.feature = feature;
  },
};
