import assert from 'assert';
import * as types from '../.types.js';
import config from '@frame/config';
const { pageSize = 10 } = config;
// initial state
export const state = () => ({
  items: [], //所有数据
  total: 0, // 数据项总数
});

// actions
export const actions = {
  async query({ commit }, { filter }) {
    const param = { ...filter };
    const res = await this.$axios.$get(`/xms/stat/aggregate`, param);
    return res;
  },
  async queryLog({ commit }, { filter = {}, paging = {}, type }) {
    const { page = 1, size = pageSize } = paging;
    const skip = Math.max(0, (page - 1) * size);
    const param = { skip, limit: size, ...filter };
    const res = await this.$axios.$get(`/xms/log/${type}/items`, param);
    if (res.errcode === undefined || res.errcode === 0) {
      commit(types.LOADED, res);
    }
  },
};

// mutations
export const mutations = {
  [types.LOADED](state, payload = {}) {
    ({ data: state.items, total: state.total } = payload);
  },
};
