import * as types from '../.types.js';
import axios from 'axios';
const api = {
  syncUserLog: '/api/xms/adaptor/sync-user/log/tail',
  syncUserReset: '/api/xms/adaptor/sync-user/reset',
};
// initial state
export const state = () => ({
  items: [], //所有数据
  total: 0, // 数据项总数
});

// actions
export const actions = {
  async query({ commit }, { lines }) {
    const res = await axios.get(`${api.syncUserLog}?lines=${lines}`);
    if (res.errcode === undefined || res.errcode === 0) {
      commit(types.LOADED, res);
    }
    return res;
  },
  async reset() {
    const res = await axios.get(`${api.syncUserReset}`);
    return res;
  },
};

// mutations
export const mutations = {
  [types.LOADED](state, payload = {}) {
    ({ data: state.items, total: state.total } = payload);
  },
};
